Twitter Plugin - Defect #274

getTimeline with retweets quirks
04/23/2011 09:59 PM - Robert Ivens

Status: Closed
Priority: Normal
Assignee:
Category:

Target version:

Browser (if web
client):

Start date: 04/23/2011
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

When | use getTimeline with retweets then getReplies or getDirectMessages or getRetweetsOfMe (and perhaps others) give no

result.

When calling those functions for a second time it does give a result.

All this doesn't occur when | get the timeline without the retweets.

History

#1 - 04/23/2011 10:04 PM - Patrick Talbot

Hum... | don't see any kind of cache in the JTwitter lib, so | have no idea where this could come from...
I hope | will not have to modify the lib itself, | have enough of my own code to maintain :(

#2 - 04/24/2011 03:12 AM - Patrick Talbot

- Status changed from New to In Progress

Cannot reproduce with 0.8.1 - please confirm

#3 - 04/24/2011 07:48 PM - Robert lvens

- Status changed from In Progress to Resolved

Seems to work properly now.

#4 - 04/24/2011 08:31 PM - Patrick Talbot

- Status changed from Resolved to Closed
